# FastAPI and dependencies
fastapi>=0.110.0
python-multipart
ujson
a2wsgi>=1.10.6
parse-accept-language
uvicorn[standard]
packaging>=21.0

# Pydantic
pydantic>=2.0.0

# Queue job dependencies
requests

# Prefect integration
prefect>=2.20.0,<3.0.0

# Component dependencies
cachetools

# Additional utilities
python-dotenv